Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface Archiver

All Known Subinterfaces:
  HDF5Archiver, LispArchiver

All Known Implementing Classes:
  LispArchiverImpl, HDF5ArchiverImpl

public interface Archiver
extends Create, CreateS, Drop, DropS

High level abstract serialization interface.. High level abstract serialization interface.

Method Summary
`java.lang.Object` | `getObject(java.lang.String key)` Create the object with `key' using the Archiver's own Zone
`java.lang.Object` | `getWithZone$key(Zone aZone, java.lang.String key)` Create the object with `key' in the specified Zone
`void` | `putDeep$object(java.lang.String key, java.lang.Object object)` Register with the Archiver a deep serialization of the object (serialization only occurs when Archiver is saved)
`void` | `putShallow$object(java.lang.String key, java.lang.Object object)` As per -putDeep, but only make a shallow version
`void` | `registerClient(java.lang.Object client)`
`void` | `sync()` Ensure that that all registered the requested backend
`void` | `unregisterClient(java.lang.Object client)`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### registerClient

    public void registerClient(java.lang.Object client)

### unregisterClient

    public void unregisterClient(java.lang.Object client)

### putDeep$object

    public void putDeep$object(java.lang.String key,
                               java.lang.Object object)

  Register with the Archiver a deep serialization of the object (serialization only occurs when Archiver is saved)

### putShallow$object

    public void putShallow$object(java.lang.String key,
                                  java.lang.Object object)

  As per -putDeep, but only make a shallow version

### getObject

    public java.lang.Object getObject(java.lang.String key)

  Create the object with `key' using the Archiver's own Zone

### getWithZone$key

    public java.lang.Object getWithZone$key(Zone aZone,
                                            java.lang.String key)

  Create the object with `key' in the specified Zone

### sync

    public void sync()

  Ensure that that all registered the requested backend

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD